Last Comment Bug 773641 - Change in-product Twitter search icon
: Change in-product Twitter search icon
Status: VERIFIED FIXED
: productization
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: Firefox 18
Assigned To: :Margaret Leibovic
:
Mentors:
Depends on: 786452
Blocks: 785381 786358
  Show dependency treegraph
 
Reported: 2012-07-13 07:31 PDT by Aaron Train [:aaronmt]
Modified: 2012-09-04 14:39 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wontfix
verified
fixed
verified
+


Attachments
New Twitter Icon 32x32 (1.76 KB, image/png)
2012-08-28 07:43 PDT, Kev Needham [:kev]
no flags Details
New Twitter Icon 16x16 (1008 bytes, image/png)
2012-08-28 11:56 PDT, Kev Needham [:kev]
no flags Details
patch for mobile (9.08 KB, patch)
2012-08-28 13:34 PDT, :Margaret Leibovic
bnicholson: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review
mobile screenshot (88.85 KB, image/png)
2012-08-28 13:35 PDT, :Margaret Leibovic
no flags Details
patch for desktop (4.06 KB, patch)
2012-08-28 14:06 PDT, :Margaret Leibovic
gavin.sharp: review+
gavin.sharp: approval‑mozilla‑aurora+
gavin.sharp: approval‑mozilla‑beta+
Details | Diff | Splinter Review
desktop screenshot (101.09 KB, image/png)
2012-08-28 14:07 PDT, :Margaret Leibovic
no flags Details

Description Aaron Train [:aaronmt] 2012-07-13 07:31:47 PDT
Twitter changed their icons and they don't want people using the T icon anymore

http://twitter.com/logo
Comment 1 :Margaret Leibovic 2012-07-13 09:22:39 PDT
We would need to update the search plugin:
http://mxr.mozilla.org/mozilla-central/source/mobile/locales/en-US/searchplugins/twitter.xml#7

I feel like we usually work with our search partners to get these icons from them. Cc'ing Kev, since he would know.

(FWIW, the desktop search plugin has the new icon, but we should use a higher resolution version for mobile.)
Comment 2 Kev Needham [:kev] 2012-07-13 14:42:05 PDT
I'll reach out to Twitter and ask for an updated base64 encoded image.
Comment 3 Mark Finkle (:mfinkle) (use needinfo?) 2012-07-13 18:45:35 PDT
(In reply to Kev [:kev] Needham from comment #2)
> I'll reach out to Twitter and ask for an updated base64 encoded image.

32x32 please
Comment 4 Kev Needham [:kev] 2012-08-27 16:11:38 PDT
Because I'm awesome, I dropped the ball on this. I hope to have an updated icon from Twitter in the next 48 hours. Apologies.
Comment 5 Kev Needham [:kev] 2012-08-28 07:43:47 PDT
Created attachment 655999 [details]
New Twitter Icon 32x32

This icon should be used in both mobile and desktop, so should go into central. It's pending final approval from Twitter, but has been created per their request from the source at http://twitter.com/logo/
Comment 6 :Margaret Leibovic 2012-08-28 10:38:08 PDT
(In reply to Kev [:kev] Needham from comment #5)
> Created attachment 655999 [details]
> New Twitter Icon 32x32
> 
> This icon should be used in both mobile and desktop, so should go into
> central. It's pending final approval from Twitter, but has been created per
> their request from the source at http://twitter.com/logo/

Thanks! However, Gavin says that we'll want a 16x16 icon for desktop.
Comment 7 Kev Needham [:kev] 2012-08-28 11:54:47 PDT
Tell Gavin he'll use the 32x32, and like it! :)
Comment 8 Kev Needham [:kev] 2012-08-28 11:56:46 PDT
Created attachment 656138 [details]
New Twitter Icon 16x16

16 x 16, because I suspect my previous comment will not be accepted.
Comment 9 :Margaret Leibovic 2012-08-28 13:34:59 PDT
Created attachment 656194 [details] [diff] [review]
patch for mobile
Comment 10 :Margaret Leibovic 2012-08-28 13:35:57 PDT
Created attachment 656195 [details]
mobile screenshot
Comment 11 :Margaret Leibovic 2012-08-28 14:06:18 PDT
Created attachment 656204 [details] [diff] [review]
patch for desktop
Comment 12 :Margaret Leibovic 2012-08-28 14:07:54 PDT
Created attachment 656206 [details]
desktop screenshot

I can't tell if this is actually blurry, or if it's my retina display being dumb. In any case, the icon is correct :)
Comment 13 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-08-28 14:08:43 PDT
Comment on attachment 656204 [details] [diff] [review]
patch for desktop

We should probably also file a bug to update twitter-ja (ja locale has their own fork).
Comment 16 Aaron Train [:aaronmt] 2012-08-31 09:19:34 PDT
Channel uplift?
Comment 17 Mark Finkle (:mfinkle) (use needinfo?) 2012-08-31 09:31:48 PDT
Certainly seems safe enough to push to Aurora, maybe even Beta
Comment 18 :Margaret Leibovic 2012-08-31 09:51:04 PDT
Comment on attachment 656194 [details] [diff] [review]
patch for mobile

[Approval Request Comment]
Bug caused by (feature/regressing bug #): n/a
User impact if declined: old twitter icon will be used for search
Testing completed (on m-c, etc.): landed on m-c 8/29
Risk to taking this patch (and alternatives if risky): low-risk image swap
String or UUID changes made by this patch: n/a (although this change is in locales directory, so we should double check with Pike that this wouldn't cause any problems)

Gavin, do you want me to try to uplift the desktop change as well?
Comment 19 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-08-31 11:16:11 PDT
Comment on attachment 656204 [details] [diff] [review]
patch for desktop

[Triage Comment]
sure
Comment 20 Alex Keybl [:akeybl] 2012-08-31 15:54:47 PDT
Comment on attachment 656194 [details] [diff] [review]
patch for mobile

I don't expect there to be any l10n fallout for this resource switch. Approved for branches.

Note You need to log in before you can comment on or make changes to this bug.